Boomi Data Hub Repository API Reference (1.0.0) - Transactions
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Manage and audit record changes. Retrieve and query transactions that represent contributions, matching events, merges, and other record updates. Use this API for auditing, troubleshooting, or analyzing how golden records evolved over time.
Query Transactions
The Query Transactions operation lets you query all the entity transactions in a deployed model using your filter criteria. The response includes deleted, incorporated, and quarantined entities and entities still processing. The response also includes any entity transactions that resulted in an unexpected error.
Security Requirements: You must have one of the following MDM privileges:
Without Advanced Security:
- MDM - View Data
Authorizations:
path Parameters
| universeId | any Example: 851a6a64-6a88-4916-a5b7-d6a974d54318 Universe ID. Listed in the Repositories UI URL. |
query Parameters
| repositoryId | any Repository ID. Case sensitive. Required with JWT authentication only. You can obtain the repository ID from the URL after navigating to the repository in the user interface. |
Request Body schema: application/xmlrequired
Request body containing the transaction query request. The root element is <TransactionQueryRequest> with the following optional attributes:
offsetToken (optional) - Sets the starting point to retrieve records which allows you to skip a specific number of records. For example, in a set of 20 records, 10 skips the first 10 records and queries the remaining 10.
limit (optional) - Sets the maximum number of query results to return. 200 is the maximum value and the default.
includeEvents (optional) - If set to true, it includes individual transaction events in the response. It provides details about the event. For example, if it is a quarantine event, it provides the error message. If it is a record creation event, it provides the golden record ID. The default is false.
You can use the following filter criteria for your query:
sourceEntityId (optional) - Sets the filter to show transactions associated with the specified source entity. It must be URL encoded if it contains special characters.
sourceId (optional) - Sets the filter to show all transactions contributed by the specified source.
startFromDate (optional) - Sets the filter to show all transactions starting from the specified event start date/time of processing. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string. The specified times are UTC.
startToDate (optional) - Sets the filter to show all transactions occurring before the specified event start date/time of processing. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string. The specified times are UTC.
endFromDate (optional) - Sets the filter to show all transactions starting from the specified event end date/time of processing. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string. The specified times are UTC.
endToDate (optional) - Sets the filter to show all transactions occurring before the specified event end date/time of processing. Format is yyyy-MM-dd'T'HH:mm:ss'Z'. Value can be an empty string. The specified times are UTC.
| sourceId | string |
| sourceEntityId | string |
| startFromDate | string |
| startToDate | string |
| endFromDate | string |
| endToDate | string |
| offsetToken | string |
| limit | integer <int32> |
| includeEvents | boolean |
Responses
Response Schema: application/xml
Array of objects (Transaction) | |
| resultCount | integer <int32> |
| totalCount | integer <int64> |
Request samples
- Payload
<TransactionQueryRequest offsetToken="MjAw" limit="100" includeEvents="true"> <sourceId>SFDC</sourceId> <sourceEntityId>S1-1234</sourceEntityId> <startFromDate>2023-06-11T07:28:32Z</startFromDate> <startToDate>2024-05-11T07:28:32Z</startToDate> <endFromDate>2023-06-11T07:28:32Z</endFromDate> <endToDate>2024-05-11T07:28:32Z</endToDate> </TransactionQueryRequest>
Response samples
- 200
- 400
- 401
- 403
- 404
- 500
- 503
<TransactionQueryResponse resultCount="4" totalCount="4"> <Transaction id="3fd7111f-9930-4ed5-ab60-3d2d6d3b7d3e" sourceId="S1" startDate="2024-02-15T21:43:25Z" state="QUARANTINED" stateDetail="PARSE_FAILURE"> <event eventDate="2024-02-15T21:43:25Z" eventType="QUARANTINE"> <data1>PARSE_FAILURE</data1> <data2>The given record does not conform to the universe layout's schema definition: cvc-complex-type.2.4.d: Invalid content was found starting with element 'email'. No child element is expected at this point.</data2> </event> <event eventDate="2024-02-15T21:43:25Z" eventType="SUBMIT"> <data1>S1</data1> </event> </Transaction> <Transaction id="1abe3633-c5e8-465e-9762-aeaa7897abcf" sourceId="S1" sourceEntityId="1234" startDate="2024-07-24T21:29:28Z" endDate="2024-07-24T21:29:28Z" state="COMPLETED" stateDetail="CREATED"> <event eventDate="2024-07-24T21:29:28Z" eventType="COMPLETE"> <data1>CREATED</data1> <data2>322f86fd-6205-48fc-9643-11976ac394c4</data2> </event> <event eventDate="2024-07-24T21:29:28Z" eventType="COMMIT"> <data1>9f62433e-c005-403a-8030-ac202fbc9767</data1> <data2>1234</data2> </event> </Transaction> <Transaction id="c8f32878-0b9b-4df6-9676-2459a38f2725" sourceId="S1" sourceEntityId="5678" startDate="2024-07-24T21:29:28Z" endDate="2024-09-06T20:32:50Z" state="DELETED"> <event eventDate="2024-09-06T20:32:50Z" eventType="DELETE"> <user>AS-USER:13528</user> </event> <event eventDate="2024-07-24T21:29:28Z" eventType="QUARANTINE"> <data1>POSSIBLE_DUPLICATE</data1> <data2>The entity is potentially a duplicate of a golden record(s) already linked to an entity in the source system.</data2> </event> <event eventDate="2024-07-24T21:29:28Z" eventType="COMMIT"> <data1>9f62433e-c005-403a-8030-ac202fbc9767</data1> <data2>5678</data2> </event> </Transaction> <Transaction id="2b5ff444-7044-4853-85b0-d9e35a381e24" sourceId="S1" sourceEntityId="34587" startDate="2024-07-24T21:29:28Z" state="QUARANTINED" stateDetail="FIELD_FORMAT_ERROR"> <event eventDate="2024-07-24T21:29:28Z" eventType="QUARANTINE"> <data1>FIELD_FORMAT_ERROR</data1> <data2>The record's {account number} field value '2578298198728' is not in a valid INTEGER format.</data2> </event> <event eventDate="2024-07-24T21:29:28Z" eventType="COMMIT"> <data1>9f62433e-c005-403a-8030-ac202fbc9767</data1> <data2>34587</data2> </event> </Transaction> </TransactionQueryResponse>